Bug 1734243 (CVE-2019-14283) - CVE-2019-14283 kernel: integer overflow and OOB read in drivers/block/floppy.c
Summary: CVE-2019-14283 kernel: integer overflow and OOB read in drivers/block/floppy.c
Keywords:
Status: NEW
Alias: CVE-2019-14283
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1735566 1735567 1735568 1734244 1735569 1735570 1735571
Blocks: 1734249
TreeView+ depends on / blocked
 
Reported: 2019-07-30 04:43 UTC by Dhananjay Arunesh
Modified: 2019-11-13 22:04 UTC (History)
46 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in the Linux kernel’s floppy disk driver implementation. A local attacker with access to the floppy device could call set_geometry in drivers/block/floppy.c, which does not validate the sect and head fields, causing an integer overflow and out-of-bounds read. This flaw may crash the system or allow an attacker to gather information causing subsequent successful attacks.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-07-30 04:43:11 UTC
A vulnerability was found in the Linux kernels floppy disk driver implementation. A local user with permissions to access the floppy device could call set_geometry in drivers/block/floppy.c which does not validate the sect and head fields causing an integer overflow and out-of-bounds read.  This may crash the system or allow an attacker to gather information allowing for successful subsequent attacks.

Systems using QEMU will likely have the virtual floppy disk controller (FDC) enabled by default, Linux guests using this configuration will auto-load the floppy kernel module and likely be affected.


Mitigation:

The kernel module named 'floppy' contains the affected code, this can be blacklisted using the standard blacklisting techniques or disabled in the systems BIOS.  See https://access.redhat.com/solutions/41278 for how to blacklist a kernel module.

Virtualized guest systems can also remove the system from the guests configuration to ensure that the module does not load.

External references:

Changelog
https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.2.3

Upstream commit
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=da99466ac243f15fbba65bd261bfc75ffa1532b6
https://github.com/torvalds/linux/commit/da99466ac243f15fbba65bd261bfc75ffa1532b6

Comment 1 Dhananjay Arunesh 2019-07-30 04:43:33 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1734244]

Comment 2 Justin M. Forbes 2019-07-30 14:03:13 UTC
This was fixed for Fedora with the 5.1.20 stable kernel update.

Comment 4 Wade Mealing 2019-08-01 04:53:07 UTC
This flaw is rated as moderate, it is an information leak for systems that have either real floppy disk hardware or virtual floppy disk hardware (in the case of QEMU) present in the system.


Note You need to log in before you can comment on or make changes to this bug.